## cascading.flow
Class FlowPlanner

    java.lang.Object
      cascading.flow.FlowPlanner

Direct Known Subclasses:
  MultiMapReducePlanner

    public class FlowPlanner

extends Object

Class FlowPlanner is the base class for all planner implementations.

Field Summary
`protected AssertionLevel` `assertionLevel` Field assertionLevel
`protected DebugLevel` `debugLevel` Field debugLevel
`protected Map<Object,Object>` `properties` Field properties

Method Summary
`protected ElementGraph` `createElementGraph(Pipe[] pipes, Map<String,Tap> sources, Map<String,Tap> sinks, Map<String,Tap> traps)` Creates a new ElementGraph instance.
`protected void` `failOnGroupEverySplit(ElementGraph elementGraph)`
`protected void` `failOnLoneGroupAssertion(ElementGraph elementGraph)` Verifies that there are not only GroupAssertions following any given Group instance.
`protected void` `failOnMissingGroup(ElementGraph elementGraph)`
`protected void` `failOnMisusedBuffer(ElementGraph elementGraph)`
`protected void` `verifyAssembly(Pipe[] pipes, Map<String,Tap> sources, Map<String,Tap> sinks, Map<String,Tap> traps)` Must be called to determine if all elements of the base pipe assembly are available
`protected void` `verifyPipeAssemblyEndPoints(Map<String,Tap> sources, Map<String,Tap> sinks, Pipe[] pipes)` Method verifyEndPoints verifies there aren't dupe names in heads or tails.
`protected void` `verifySourceNotSinks(Map<String,Tap> sources, Map<String,Tap> sinks)`
`protected void` `verifyTaps(Map<String,Tap> taps, boolean areSources, boolean mayNotBeEmpty)` Method verifyTaps ...
`protected void` `verifyTraps(Map<String,Tap> traps, Pipe[] pipes, Map<String,Tap> sources, Map<String,Tap> sinks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected final Map<Object,Object> properties

  Field properties

### assertionLevel

    protected AssertionLevel assertionLevel

  Field assertionLevel

### debugLevel

    protected DebugLevel debugLevel

  Field debugLevel

Method Detail

### verifyAssembly

    protected void verifyAssembly(Pipe[] pipes,
                                  Map<String,Tap> sources,
                                  Map<String,Tap> sinks,
                                  Map<String,Tap> traps)

  Must be called to determine if all elements of the base pipe assembly are available

### createElementGraph

    protected ElementGraph createElementGraph(Pipe[] pipes,
                                              Map<String,Tap> sources,
                                              Map<String,Tap> sinks,
                                              Map<String,Tap> traps)

  Creates a new ElementGraph instance.

### verifySourceNotSinks

    protected void verifySourceNotSinks(Map<String,Tap> sources,
                                        Map<String,Tap> sinks)

### verifyTaps

    protected void verifyTaps(Map<String,Tap> taps,
                              boolean areSources,
                              boolean mayNotBeEmpty)

  Method verifyTaps ...

  Parameters:
    `taps` - of type Map<String, Tap>
    `areSources` - of type boolean
    `mayNotBeEmpty` - of type boolean

### verifyPipeAssemblyEndPoints

    protected void verifyPipeAssemblyEndPoints(Map<String,Tap> sources,
                                               Map<String,Tap> sinks,
                                               Pipe[] pipes)

  Method verifyEndPoints verifies

  there aren't dupe names in heads or tails. all the sink and source tap names match up with tail and head pipes

  Parameters:
    `sources` - of type Map<String, Tap>
    `sinks` - of type Map<String, Tap>
    `pipes` - of type Pipe[]

### verifyTraps

    protected void verifyTraps(Map<String,Tap> traps,
                               Pipe[] pipes,
                               Map<String,Tap> sources,
                               Map<String,Tap> sinks)

### failOnLoneGroupAssertion

    protected void failOnLoneGroupAssertion(ElementGraph elementGraph)

  Verifies that there are not only GroupAssertions following any given Group instance. This will adversely affect the stream entering any subsquent Tap of Each instances.

### failOnMissingGroup

    protected void failOnMissingGroup(ElementGraph elementGraph)

### failOnMisusedBuffer

    protected void failOnMisusedBuffer(ElementGraph elementGraph)

### failOnGroupEverySplit

    protected void failOnGroupEverySplit(ElementGraph elementGraph)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.